> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activity

> Workspace-wide activity feed.

Returns all activity events for the workspace, newest first.
Supports optional filters on type prefix, actor, entity type, and entity ID.



## OpenAPI

````yaml /openapi.json get /v1/activity
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/activity:
    get:
      tags:
        - activity
      summary: List Activity
      description: >-
        Workspace-wide activity feed.


        Returns all activity events for the workspace, newest first.

        Supports optional filters on type prefix, actor, entity type, and entity
        ID.
      operationId: list_activity_v1_activity_get
      parameters:
        - description: Event type prefix, e.g. 'issue.' or 'pattern.'
          in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Event type prefix, e.g. 'issue.' or 'pattern.'
            title: Type
        - description: Filter by actor user ID
          in: query
          name: actor_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by actor user ID
            title: Actor Id
        - description: 'Filter by entity type: issue, pattern, recommendation, prediction'
          in: query
          name: entity_type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Filter by entity type: issue, pattern, recommendation, prediction'
            title: Entity Type
        - description: Filter by specific entity ID
          in: query
          name: entity_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by specific entity ID
            title: Entity Id
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response List Activity V1 Activity Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````